Loading...
Searching...
No Matches
max_count_per_partition.cpp File Reference

Implements raptor::max_count_per_partition. More...

`#include <algorithm>`
`#include <fstream>`
`#include <raptor/build/max_count_per_partition.hpp>`
`#include <raptor/call_parallel_on_bins.hpp>`
`#include <raptor/file_reader.hpp>`

## Functions

template<file_types file_type>
std::vector< size_t > | raptor::detail::max_count_per_partition (partition_config const &cfg, std::vector< std::vector< std::string > > const &bin_path, uint8_t const threads, seqan3::shape const &shape, uint32_t const window_size)
std::vector< size_t > | raptor::max_count_per_partition (partition_config const &cfg, build_arguments const &arguments)
std::vector< size_t > | raptor::max_count_per_partition (partition_config const &cfg, upgrade_arguments const &arguments)

## Detailed Description

Implements raptor::max_count_per_partition.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>